
darktable - Feature #11924

Allow hot pixel module fusion like other modules

01/12/2018 12:43 PM - Stéphane Gourichon

Status: Fixed Start date: 01/12/2018

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: Darkroom Estimated time: 0.00 hour

Target version: 2.6.0   

Affected Version: 2.4.0 bitness: 64-bit

System: all hardware

architecture:

amd64/x86

Description

Context

Editing a photo in darktable.

Sometimes image has a few actual hot pixels to fix, but also some areas where there aren't actually hot pixels, yet "hot pixels"

modules muddles them.

Area wrongly picked by "hot pixels" module are mostly sun or flash reflections in tiny elements (jewelry, gemstones, sometimes

zippers).

Problem

The problem is when hot pixels module does not catch all actual hot pixels, but damages pixels that should be left as is.

Other situations I could fix by tuning "hot pixels" parameters, but in this case no tuning worked.

Indeed, tiny reflections are bright near-isolated pixels, but they make sense in the photograph.  Jewelry makes a number of tiny

reflections.  Some pixels are suppressed by "hot pixels" module, which looks unnatural.

Solution

"Hot pixels" module uses a simple local algorithm and it's good this way.  IMHO there's no point in aiming to make it perfect.

A more flexible solution: let "hot pixels" modules to allow blend modes, just like other modules.  Then the user can easily use "drawn

mask" to include or exclude areas.

This lets "hot pixels" module do a nice job where it belongs and not damage other areas, keeping the user in control.

Workaround

Currently, the only choice I see is to disable hot pixels module and manually fix the actual hot pixels with spot removal or low pass.

History

#1 - 01/13/2018 05:24 PM - Tobias Ellinghaus

I wouldn't be opposed to allow blending/masking in that module.

#2 - 01/16/2018 05:23 PM - Stéphane Gourichon

Offered pull request https://github.com/darktable-org/darktable/pull/1627 .

#3 - 01/17/2018 05:55 PM - Tobias Ellinghaus

- % Done changed from 0 to 100

- Status changed from New to Fixed

#4 - 01/18/2018 08:45 PM - Roman Lebedev
https://github.com/darktable-org/darktable/pull/1627


- Target version set to 2.6.0

Powered by TCPDF (www.tcpdf.org)

04/21/2019 2/2

http://www.tcpdf.org

